Bug 1018493 - SELinux is preventing /usr/sbin/ladvd from 'sendto' accesses on the unix_dgram_socket .
SELinux is preventing /usr/sbin/ladvd from 'sendto' accesses on the unix_dgra...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ladvd (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:76f840f437e6bd039e1756cf3d4...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 12:06 EDT by bob53181
Modified: 2015-06-29 21:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: ladvd-1.0.4-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob53181 2013-10-12 12:06:56 EDT
Description of problem:
SELinux is preventing /usr/sbin/ladvd from 'sendto' accesses on the unix_dgram_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ladvd should be allowed sendto access on the  unix_dgram_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ladvd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ladvd_t:s0
Target Context                system_u:system_r:ladvd_t:s0
Target Objects                 [ unix_dgram_socket ]
Source                        ladvd
Source Path                   /usr/sbin/ladvd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ladvd-1.0.4-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.9.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-201.fc19.x86_64 #1 SMP Thu
                              Oct 10 14:11:18 UTC 2013 x86_64 x86_64
Alert Count                   7
First Seen                    2013-10-12 17:01:27 BST
Last Seen                     2013-10-12 17:05:28 BST
Local ID                      4d12988c-e1a1-4673-b608-bb958330e022

Raw Audit Messages
type=AVC msg=audit(1381593928.5:610): avc:  denied  { sendto } for  pid=584 comm="ladvd" scontext=system_u:system_r:ladvd_t:s0 tcontext=system_u:system_r:ladvd_t:s0 tclass=unix_dgram_socket


type=SYSCALL msg=audit(1381593928.5:610): arch=x86_64 syscall=write success=yes exit=228 a0=3 a1=7fff3c46f8f0 a2=e4 a3=0 items=0 ppid=508 pid=584 auid=4294967295 uid=990 gid=988 euid=990 suid=990 fsuid=990 egid=988 sgid=988 fsgid=988 ses=4294967295 tty=(none) comm=ladvd exe=/usr/sbin/ladvd subj=system_u:system_r:ladvd_t:s0 key=(null)

Hash: ladvd,ladvd_t,ladvd_t,unix_dgram_socket,sendto

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport
Comment 1 Fedora Update System 2013-10-14 04:29:53 EDT
ladvd-1.0.4-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ladvd-1.0.4-11.fc20
Comment 2 Fedora Update System 2013-10-14 15:20:16 EDT
Package ladvd-1.0.4-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ladvd-1.0.4-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19079/ladvd-1.0.4-11.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-11-10 02:00:54 EST
ladvd-1.0.4-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 bob53181 2014-02-22 22:07:54 EST
After I upgraded Fedora 19 to 20 and ladvd from 1.0.4-4 to 1.0.4-11, the problem still persists.
Also, ladvd-1.0.4-4 to ladvd-1.0.4-11 seems like minor version upgrade so it should be pushed to Fedora 19 repository (maybe as well as the fix for this bug).
Comment 5 Fedora End Of Life 2015-05-29 05:33:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 21:24:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.